package com.warewms.ams.ndc.dto;

import com.warewms.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 库位信息对象 base_location_info
 *
 * @author andy
 * @date 2022-02-18
 */
@Data
public class BaseLocationInfoInsertDTO implements Serializable {
    private static final long serialVersionUID = 1L;


    private Long warehouseId;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    private Long zoneId;

    /**
     * 库位编码
     */
    @Excel(name = "库位编码")
    private String locationNo;

    /**
     * 排号
     */
    @Excel(name = "排号")
    private String rowNo;

    /**
     * AGV点位
     */
    @Excel(name = "AGV点位")
    private Long agvStation;

}
