package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.domain.BaseLocationInfo;
import com.warewms.ams.ndc.dto.BaseLocationInfoDTO;
import com.warewms.ams.ndc.dto.BaseLocationInfoInsertDTO;
import com.warewms.framework.service.CrudService;

import java.util.List;

/**
 * 库位信息Service接口
 *
 * @author andy
 * @date 2022-02-18
 */
public interface IBaseLocationInfoService extends CrudService<BaseLocationInfo, BaseLocationInfoDTO> {

    List<BaseLocationInfo> queryBaseLocationInfoList(Integer zoneId, String rowNo);

    void insertBaseLocationInfo(BaseLocationInfoInsertDTO baseLocationInfoInsertDTO);
}
