package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.domain.AmsHexdefineDetail;
import com.warewms.ams.ndc.domain.AmsTask;

import java.util.List;

/**
 * 任务定义（lp0-lp30）Service接口
 *
 * @author ruoyi
 * @date 2022-08-12
 */
public interface IAmsHexdefineDetailService {

    /**
     * 根据businessType查询指令明细
     *
     * @param businessType
     * @return
     */
    List<AmsHexdefineDetail> selectAmsHexdefineDetailByBusinessType(String businessType);

    /**
     * 指令拼接
     * @param amsTask
     * @param amsHexdefineDetails
     * @return
     */
    String concatOrder(AmsTask amsTask, List<AmsHexdefineDetail> amsHexdefineDetails);
}
